/*
** SellaNMS
** $Id: policy_statement_then_output.h,v 1.6 2006/01/24 07:08:09 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __POLICY_STATEMENT_THEN_OUTPUT_H__
#define __POLICY_STATEMENT_THEN_OUTPUT_H__

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "clause.h"
#include <stl/string>

class PolicyStatementThenOutput: public Clause {
	public:
		PolicyStatementThenOutput();

		RESULT setName(string &module);
		
		virtual ACTION evaluate(variable_binding_t &v);
		virtual RESULT compile(ConfigNode *config);

		virtual RESULT clear();
		virtual RESULT print(unsigned long depth = 0);

	private:
		string	element;
		string	interface;
		string	ip;

		string	source;
		string	module;
		string	protocol;
		string	state;
		string	brief;
		string	detail;
		string	channel;

};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim:
** vim: noet ts=3 sw=3 sts=3
*/
